<%--
 Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
--%>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<%@ taglib prefix="tags" tagdir="/WEB-INF/tags" %>
<fmt:setBundle basename="LocalStrings"/>

<html>
  <head>
    <title><fmt:message key="products.jsp.title"/></title>
  </head>
  <body>
    <h1><fmt:message key="products.jsp.title"/></h1>
    <hr>
    <p><fmt:message key="products.jsp.overview"/></p>
    <p><fmt:message key="products.jsp.invokedtwice"/></p>
    <hr>
    <h2><fmt:message key="products.jsp.products"/></h2>
    <tags:displayProducts>
      <jsp:attribute name="normalPrice">
	<fmt:message key="products.jsp.item"/> ${name}<br/>
	<fmt:message key="products.jsp.price"/> ${price}
      </jsp:attribute>
      <jsp:attribute name="onSale">
	<fmt:message key="products.jsp.item"/> ${name}<br/>
	<font color="red"><strike>Was: ${origPrice}</strike></font><br/>
	<b> <fmt:message key="products.jsp.now"/> ${salePrice}</b>
      </jsp:attribute>
    </tags:displayProducts>
    <hr>
    <h2><fmt:message key="products.jsp.productstag"/></h2>
    <tags:displayProducts>
      <jsp:attribute name="normalPrice">
	<b>${name}</b> @ ${price} <fmt:message key="products.jsp.each"/>
      </jsp:attribute>
      <jsp:attribute name="onSale">
	<b>${name}</b> @ ${salePrice} <fmt:message key="products.jsp.each"/> (<fmt:message key="products.jsp.was"/> ${origPrice})
      </jsp:attribute>
    </tags:displayProducts>
  </body>
</html>
